import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = [
  'https://gist.githubusercontent.com/DeepikaGoud08/4f08bb36a5f93fdf51c7b5e69ee4d5f5/raw/1f9918e055297f5e5623ff08972eb07d8b97cebe/vehicle-tires.csv',
  
].join('');
const parseRow = (d) => {
  d.TireLengthCm = +d.TireLengthCm;
  d.TireWidthCm = +d.TireWidthCm;
  d.RimLengthCm = +d.RimLengthCm;
  d.RimWidthCm = +d.RimWidthCm;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.RimWidthCm)
    .yValue((d) => d.TireLengthCm)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
  	
    .radius(5);

  svg.call(plot);

  const columns = [
    'RimWidthCm',
    'TireWidthCm',
    'RimLengthCm',
    'TireLengthCm',
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 2000);
};
main();



